org.apache.uima.aae.monitor.statistics

## Class AnalysisEnginePerformanceMetrics

- java.lang.Object
- - org.apache.uima.aae.monitor.statistics.AnalysisEnginePerformanceMetrics

- All Implemented Interfaces:
    Serializable

      public class AnalysisEnginePerformanceMetrics
      extends Object
      implements Serializable

  Contains information about the processing of a CAS in a component of an Analysis Engine
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalysisEnginePerformanceMetrics(String name, String uimaContextPath, long analysisTime, long numProcessed)` Creates a performance metrics instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAnalysisTime()` Gets the elapsed time the CAS spent analyzing this component
    `String` | `getName()` Gets the local name of the component as specified in the aggregate
    `long` | `getNumProcessed()` Gets the total number of CASes processed by this component so far
    `String` | `getUniqueName()` Gets the unique name of the component reflecting its location in the aggregate hierarchy

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalysisEnginePerformanceMetrics

          public AnalysisEnginePerformanceMetrics(String name,
                                                  String uimaContextPath,
                                                  long analysisTime,
                                                  long numProcessed)

      Creates a performance metrics instance
      Parameters:
        `name` - AE name
        `uimaContextPath` - AE unique name
        `analysisTime` - analysis time
        `numProcessed` - num CASes processed so far

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the local name of the component as specified in the aggregate
      Returns:
        the name

    - #### getUniqueName

          public String getUniqueName()

      Gets the unique name of the component reflecting its location in the aggregate hierarchy
      Returns:
        the unique name

    - #### getAnalysisTime

          public long getAnalysisTime()

      Gets the elapsed time the CAS spent analyzing this component
      Returns:
        time in milliseconds

    - #### getNumProcessed

          public long getNumProcessed()

      Gets the total number of CASes processed by this component so far
      Returns:
        number processed

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.